Account AgentBots
Update an agent bot
Update an agent bot’s attributes
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
agent_bots
/
{id}
Update an agent bot
curl --request PATCH \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "My Agent Bot",
"description": "This is a sample agent bot",
"outgoing_url": "https://example.com/webhook",
"avatar": "<string>",
"avatar_url": "https://example.com/avatar.png",
"bot_type": 0,
"bot_config": {}
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}"
payload = {
"name": "My Agent Bot",
"description": "This is a sample agent bot",
"outgoing_url": "https://example.com/webhook",
"avatar": "<string>",
"avatar_url": "https://example.com/avatar.png",
"bot_type": 0,
"bot_config": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Agent Bot',
description: 'This is a sample agent bot',
outgoing_url: 'https://example.com/webhook',
avatar: '<string>',
avatar_url: 'https://example.com/avatar.png',
bot_type: 0,
bot_config: {}
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Agent Bot',
'description' => 'This is a sample agent bot',
'outgoing_url' => 'https://example.com/webhook',
'avatar' => '<string>',
'avatar_url' => 'https://example.com/avatar.png',
'bot_type' => 0,
'bot_config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}"
payload := strings.NewReader("{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("api_access_token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}")
.header("api_access_token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["api_access_token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"outgoing_url": "<string>",
"bot_type": "<string>",
"bot_config": {},
"account_id": 123,
"access_token": "<string>",
"system_bot": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
Body
application/json
Response
Success
⌘I
Update an agent bot
curl --request PATCH \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "My Agent Bot",
"description": "This is a sample agent bot",
"outgoing_url": "https://example.com/webhook",
"avatar": "<string>",
"avatar_url": "https://example.com/avatar.png",
"bot_type": 0,
"bot_config": {}
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}"
payload = {
"name": "My Agent Bot",
"description": "This is a sample agent bot",
"outgoing_url": "https://example.com/webhook",
"avatar": "<string>",
"avatar_url": "https://example.com/avatar.png",
"bot_type": 0,
"bot_config": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Agent Bot',
description: 'This is a sample agent bot',
outgoing_url: 'https://example.com/webhook',
avatar: '<string>',
avatar_url: 'https://example.com/avatar.png',
bot_type: 0,
bot_config: {}
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Agent Bot',
'description' => 'This is a sample agent bot',
'outgoing_url' => 'https://example.com/webhook',
'avatar' => '<string>',
'avatar_url' => 'https://example.com/avatar.png',
'bot_type' => 0,
'bot_config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}"
payload := strings.NewReader("{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("api_access_token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}")
.header("api_access_token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/agent_bots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["api_access_token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My Agent Bot\",\n \"description\": \"This is a sample agent bot\",\n \"outgoing_url\": \"https://example.com/webhook\",\n \"avatar\": \"<string>\",\n \"avatar_url\": \"https://example.com/avatar.png\",\n \"bot_type\": 0,\n \"bot_config\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"outgoing_url": "<string>",
"bot_type": "<string>",
"bot_config": {},
"account_id": 123,
"access_token": "<string>",
"system_bot": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
